Bug 94220 - I18N - can't use multibyte in name of a code clip
I18N - can't use multibyte in name of a code clip
Status: RESOLVED INVALID
Product: obsolete
Classification: Unclassified
Component: visualweb
5.x
Sun Solaris
: P2 (vote)
: 6.x
Assigned To: Joelle Lam
issues@obsolete
WAV
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-03 01:32 UTC by bugbridge
Modified: 2007-07-24 06:45 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2007-02-03 01:32:38 UTC
Original status: 2-Incomplete, Substatus: Need More Info; Suggested Status:
RESOLVED (Resolution: INVALID)

Original Target Release: shortfin_dev; Suggested Target Milestone : 5.5

These items should be added to the Keywords: INCOMPLETE
These items should be added to the Status Whiteboard: WAV

Original submitter: kfrank

Description:
create a new clip and then choose to rename it - use multibyte as all or part of
the name - the name will not show on the pallette or pallette mgr; it just
shows the codeclip icon.


also, can't edit the clip - clip editor shows word null
and even if add other text and remove null, nothing shows
but null when save changes and reedit

but rename to ascii name, and it can be edited - maybe this is that
without a name, there is nothing to save changes too ?

(let me know if this part needs a separate issue)

Evaluation:
(by joellelam)
Couldn't name codeclip mutlibyte name because CodeClip name was used for the
actual file.  Some Filesystems won't accept multibyte names.
URL: http://inf.central/inf/integrationReport.jsp?id=103075

I will need someone to confirm this fix for me.

Evaluation (Entry 2):
(by joellelam)
Can not view attachment. Can you send me an image of what you are are seeing. 
So you still are not seeing the CLIP name.  
Also please lower the prioirty since there is a workaround.  I want to avoid
stopping the RC.
Comment 1 Matthew Bohm 2007-02-03 01:44:24 UTC
Comment (by kfrank):
multibyte here means using the characters of an asian locale.
Run creator in japanese locale for example, and use characters
of japanese locale in your code clip name or code - easiest way
to get them is to go to xxx.xxx.jp [web site] and copy/paste.

Comment (by kfrank):
In solaris ja utf-8 locale, this could happen, so this might be encoding
handling situation. (bug shows in solaris ja locale and windows ja locale).

Comment (by joellelam):
I think [this issue] has something to do with the fact that I name the codeclip
file after the codeclip name.  Is it possible that OS would not accept a
MultiByte Filename?  If you could try got to the director
config/CreatorJavaPalette/<Category>.  Can you tell if a file was created for
that codeclip?  If so, try renaming it to something in english.  Restart the IDE
and let me know what happens.

Comment (by kfrank):
I think 6483626 has something to do with the fact that I name the codeclip file
after the codeclip name.  Is it possible that OS would not accept a MultiByte
Filename?  If you could try got to the director
config/CreatorJavaPalette/<Category>.  Can you tell if a file was created for
that codeclip?  If so, try renaming it to something in english.  Restart the IDE
and let me know what happens.
*** (#5 of 8): 2006-11-02 20:02:57 PST joelle.lam@sun.com

attached is gif showing the new clip, as added when running in
solaris ja_JP.UTF-8 locale and from running in solaris ja locale.

for the ja locale, thats the view where there is the clip icon but no
text; for the utf8 its where there is the word Clip with the multibyte -
this is how it should be for both situations.

in userdir, a clip file is created for both
and looks identical except for the clip name
ie

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE codeclip_palette_item PUBLIC "-//NetBeans//CodeClip Palette
 Item 1.0//EN"
"http://www.netbeans.org/dtds/codeclip-palette-item-1_0.dtd">

  <codeclip_palette_item version="1.0">
    <body>
        <![CDATA[
int i;
        ]]>
    </body>
<icon16 urlvalue="com/sun/rave/spi/palette/resources/Codesnippet_C16.
png"/>
<icon32 urlvalue="com/sun/rave/spi/palette/resources/Codesnippet_C32.
png"/>
<description display-name-key="ZZZJceZZZClipZZZ" 
              localizing-bundle="com.sun.rave.palette.codeclips.Bundl
e" 
/>
</codeclip_palette_item>


where ZZZ is the multibyte

thus I think there is some encoding handling situation happening.

Comment (by kfrank):
reopening - in solaris ja locale, entering multibyte in the rename
box, it does not show in pallette, as before.


also, the name of default clip, instead of Clip, is null

whereas in ja utf8 solaris locale, default name is <translationofword Clip>

(am using 1.4 project but assuming for clips the implementation same as for
EE5 ones ?)
Comment 2 Ken Frank 2007-05-23 00:16:58 UTC
this was migrated from bt and somehow was done so as resolved but it should have
been in open state.

ken.frank@sun.com
Comment 3 Joelle Lam 2007-07-24 06:45:24 UTC
Hello Ken, can you run this scenario again and send me your userdir? I want to see if it was an OS bug since last time
it seemed to have problems storing the MultiByte Clipname inside a file..  Then just reopen.  Thanks!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo